Bug 47170 - RPM 4.0.3-0.54 gets stuck on database operation.
RPM 4.0.3-0.54 gets stuck on database operation.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-03 15:10 EDT by Nalin Dahyabhai
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-03 15:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A traceback generated by attaching gdb to the errant rpmd process. (1.40 KB, text/plain)
2001-07-03 15:14 EDT, Nalin Dahyabhai
no flags Details

  None (edit)
Description Nalin Dahyabhai 2001-07-03 15:10:16 EDT
Description of Problem:When rebuilding the RPM database with --rebuilddb, rpmd gets stuck in an infinite select() loop.


How Reproducible:This might be specific to my workstation.


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:rpmd gets stuck in a select() loop, apparently forever.


Expected Results:rpmd completes the operation.


Additional Information:
Comment 1 Nalin Dahyabhai 2001-07-03 15:14:07 EDT
Created attachment 22610 [details]
A traceback generated by attaching gdb to the errant rpmd process.
Comment 2 Jeff Johnson 2001-07-11 10:24:45 EDT
The /var/lib/rpm/__db.nnn files are removed before opening the db environment
in rpm-4.0.3-0.66. Presumably, that fixes this problem, but please reopen if
not.

Note You need to log in before you can comment on or make changes to this bug.